/*
* Labomedia association Orléans (F-45000)
* 2020
* ---
* Documentation:
* Comment ouvrir un fichier STL dans Heekscad
* pour ensuite générer un gcode vers linuxCNC
* STL -> HEEKSCAD -> LINUX CNC
* ---
* Étape: Importation d'un dxf dans openscad
* en vue de générer un fichier STL
*/

$fn=100;

/* RENDUS ÉCRAN */
// Petite roue positionnée pour le fraisage :
//  * surface à z=0
//  * au delà de x,y 0,0
translate([45,45,-HAUTEUR]) petite_roue();

//grande_roue();
//petite_roue_fond_de_dent();

/* IMPORTATION D'UN FICHIER DXF */
/* exemple d'un fichier dxf
*  d'une roue dentée pour engrenage
*  généré par le générateur de roue dentée en ligne:
*  http://hessmer.org/gears/InvoluteSpurGearBuilder.html
*  avec les données suivantes:
*    - Circular pitch: 12.75
*    - Grande roue 51 dents, petite 17 dents
*    - Centre diamètre 8
*    - Autres paramètres: laissés standards
*  Pour importer, et centrer sur le dxf, pas d'autre choix que de
*  importer d'abord avec la roue 1 avec 51 dents
*  puis importer avec la roue 1 avec 17 dents
*/

HAUTEUR = 13;

module grande_roue() {
color("pink" , 0.3) linear_extrude(height = HAUTEUR, center = false, convexity = 10)
		import(file = "engrenage_grande_roue.dxf", layer = "Grande_Roue");
}

module petite_roue() {
    difference() {
        color("lightgreen" , 0.3) linear_extrude(height = HAUTEUR, center = false, convexity = 10)
		import(file = "engrenage_petite_roue.dxf", layer = "Petite_Roue");
        
        #linear_extrude(height = HAUTEUR, center = false, convexity = 10)
		import(file = "engrenage_petite_roue.dxf", layer = "Fond-De-Dent");
        
        }
}

module petite_roue_fond_de_dent() {
    color("red" , 0.3) linear_extrude(height = HAUTEUR, center = false, convexity = 10)
		import(file = "engrenage_petite_roue.dxf", layer = "Fond-De-Dent");
    }